rtppkt.h(3)

NAME
rtppkt.h -

RTP packets handling.

SYNOPSIS

#include <ccrtp/base.h>
#include <ccrtp/formats.h>
#include <ccrtp/CryptoContext.h>

  Classes
class RTPPacket
A base class for both IncomingRTPPkt and OutgoingRTPPkt.
struct RTPPacket::RTPFixedHeader
RTP fixed header as it is send through the network.
struct RTPPacket::RFC2833Payload
a structure defining RFC2833 Telephony events.
struct RTPPacket::RTPHeaderExt
Fixed component of the variable-length header extension, appended to the fixed header, after the CSRC list, when X == 1.
class OutgoingRTPPkt
RTP packets being sent.
class IncomingRTPPkt
RTP packets received from other participants.

Detailed Description

RTP packets handling.

Author

Generated automatically by Doxygen for ccRTP from the source code.